Contents

# On...GoSub Statement; On...GoTo Statement

Tách nhánh đến một của vài dòng mã chương trình đã ghi rõ, phụ thuộc vào giá trị của một biểu thức thuộc số nào đó.

### Syntax:

    On expression GoSub Label1[, Label2[, Label3[,...]]]
    On expression GoTo Label1[, Label2[, Label3[,...]]]

### Parameters:

expression: Any numeric expression between 0 and 255 that determines which of the lines the program branches to. If expression is 0, the statement is not executed. If expression is greater than 0, the program jumps to the label that has a position number that corresponds to the expression (1 = First label; 2 = Second label)

label: Target line according to GoTo or GoSub structure.

Quy ước GoTo hay GoSub là hợp lệ.

### Example:

    Sub ExampleOnGosub
    Dim iVar As Integer
    Dim sVar As String
        iVar = 2
        sVar =""
        On iVar GoSub Sub1, Sub2
        On iVar GoTo Line1, Line2
        Exit Sub
    Sub1:
        sVar =sVar & " Từ Con 1 đến : Return
    Sub2:
        sVar =sVar & " Từ Con 2 đến" : Return
    Line1:
        sVar =sVar & " Nhãn 1" : GoTo Ende
    Line2:
        sVar =sVar & " Nhãn 2"
    Ende:
        MsgBox sVar,0,"On...GoSub"
    End Sub

Chủ đề Liên quan

GoSub...Return Statement

GoTo Statement